Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589299 - cannot push any package into channel, server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')
Summary: cannot push any package into channel, server/apacheUploadServer._wrapper('ERR...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 1.1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space11
TreeView+ depends on / blocked
 
Reported: 2010-05-05 19:03 UTC by Petr Sklenar
Modified: 2010-08-19 08:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-19 08:24:19 UTC


Attachments (Terms of Use)
tracebacks in /var/log/httpd/error_log (deleted)
2010-05-14 11:45 UTC, Jan Hutař
no flags Details

Description Petr Sklenar 2010-05-05 19:03:11 UTC
Description of problem:
Today with the latest spacewalk I cannot push any package into channel.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install spacewalk with oracle XE
2. rhnpush --username=XXXX --password=XXXX --server=http://`hostname`/APP --nosig --channel=channel_name psklenar-1-1.noarch.rpm
  
Actual results:
Internal server error 500 Internal Server Error
Error pushing psklenar-1-1.noarch.rpm: Error 500 (500)
Waiting 2 seconds and trying again...
Internal server error 500 Internal Server Error
Error pushing psklenar-1-1.noarch.rpm: Error 500 (500)
Waiting 1 seconds and trying again...
Internal server error 500 Internal Server Error
Error pushing psklenar-1-1.noarch.rpm: Error 500 (500)
Waiting 2 seconds and trying again...
Giving up after 3 attempts

tail /var/log/rhn/rhn_upload_package_push.log

2010/05/05 14:56:05 -04:00 27232 10.16.68.102: server/apacheUploadServer.handler('GET method received, returning',)
2010/05/05 14:56:05 -04:00 27227 10.16.68.102: rhnSQL/driver_cx_Oracle.connect('Connecting to database', 'XE')
2010/05/05 14:56:06 -04:00 27227 10.16.68.102: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2010/05/05 14:56:06 -04:00 27227 10.16.68.102: server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')
2010/05/05 14:56:08 -04:00 27228 10.16.68.102: rhnSQL/driver_cx_Oracle.connect('Connecting to database', 'XE')
2010/05/05 14:56:08 -04:00 27228 10.16.68.102: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2010/05/05 14:56:08 -04:00 27228 10.16.68.102: server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')
2010/05/05 14:56:12 -04:00 27230 10.16.68.102: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2010/05/05 14:56:12 -04:00 27230 10.16.68.102: server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')
2010/05/05 14:59:29 -04:00 27227 10.16.68.102: server/apacheUploadServer.handler('GET method received, returning',)
2010/05/05 14:59:29 -04:00 27230 10.16.68.102: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2010/05/05 14:59:30 -04:00 27230 10.16.68.102: server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')
2010/05/05 14:59:32 -04:00 27232 10.16.68.102: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2010/05/05 14:59:32 -04:00 27232 10.16.68.102: server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')
2010/05/05 14:59:33 -04:00 27229 10.16.68.102: package_push/package_push.headerParserHandler('Username', None, 'Force', 0)
2010/05/05 14:59:33 -04:00 27229 10.16.68.102: server/apacheUploadServer._wrapper('ERROR', 'Unhandled exception')


Expected results:


Additional info:

Comment 2 Jan Hutař 2010-05-14 11:45:47 UTC
Created attachment 414024 [details]
tracebacks in /var/log/httpd/error_log

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheUploadServer.py", line 107, in _wrapper
    ret = function(req)
  File "/usr/share/rhn/upload_server/handlers/package_push/package_push.py", line 136, in handler
    relative_path=self.rel_package_path, org_id=self.org_id)
  File "/usr/share/rhn/server/rhnPackageUpload.py", line 160, in push_package
    header_end=header_end, channels=channels)
  File "/usr/share/rhn/server/importlib/mpmSource.py", line 222, in create_package
    header_end=header_end, channels=channels)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 404, in createPackage
    channels)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 152, in populate
    header_start, header_end)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 56, in populate
    val = header[field]
  File "/usr/lib/python2.6/site-packages/spacewalk/common/rhn_rpm.py", line 139, in __getitem__
    return self.hdr[name]
KeyError: 'unknown header tag'

Comment 3 Michael Mráka 2010-05-19 08:24:37 UTC
There was a regression introduced by sha256 xml dump import changes.

Fixed in 
commit f738a34cd0a65cb641a31c43a8e9d487f672aa9f
    Automatic commit of package [spacewalk-backend] release [1.1.15-1].
commit 535d853d0af87dc7f778770da6ee76ff5dbfabb1
    589299 - checksum_list field is used only in xml dump import not in direct rpm import

Fixed package: spacewalk-backend-1.1.15-1

Comment 4 Petr Sklenar 2010-06-04 11:52:10 UTC
Hi,
Issue is still in spacewalk-backend-1.1.19-1.el5 : 

# rhnpush --username=admin --password=admin --server=http://<fqdn_spacewalk>/APP --nosig --channel=channel_name psklenar-1-1.noarch.rpm
Internal server error 500 Internal Server Error
Error pushing psklenar-1-1.noarch.rpm: Error 500 (500)
Waiting 4 seconds and trying again...
Internal server error 500 Internal Server Error
Error pushing psklenar-1-1.noarch.rpm: Error 500 (500)
Waiting 4 seconds and trying again...
Internal server error 500 Internal Server Error
Error pushing psklenar-1-1.noarch.rpm: Error 500 (500)
Waiting 2 seconds and trying again...
Giving up after 3 attempts

[root@ibm-hs22-01 first-sanity-test]# getenforce 
Permissive
[root@ibm-hs22-01 first-sanity-test]# rpm -q spacewalk-backend
spacewalk-backend-1.1.19-1.el5


# tail /var/log/httpd/error_log 
RHN 24867 2010/06/04 07:49:52 -04:00: ('Unhandled exception',)
Exception reported from ibm-hs22-01.lab.bos.redhat.com
Time: Fri Jun  4 07:49:54 2010
Exception type exceptions.KeyError
Exception while handling function upload_server._wrapper
Request object information:
URI: /PACKAGE-PUSH
Remote Host: 10.16.44.93
Server Name: ibm-hs22-01.lab.bos.redhat.com:0
Headers passed in:
	Accept-Encoding: identity
	Content-Length: 1711
	Content-Type: application/x-rpm
	Host: ibm-hs22-01.lab.bos.redhat.com
	User-Agent: rhnpush
	X-RHN-Upload-Auth-Session: 12x6094a2fc4a70c13ee7ed052d9f8aabd7
	X-RHN-Upload-File-Checksum: be6a38721968044c8041a493e808668b
	X-RHN-Upload-File-Checksum-Type: md5
	X-RHN-Upload-File-MD5sum: be6a38721968044c8041a493e808668b
	X-RHN-Upload-Force: 0
	X-RHN-Upload-Package-Arch: noarch
	X-RHN-Upload-Package-Name: psklenar
	X-RHN-Upload-Package-Release: 1
	X-RHN-Upload-Package-Version: 1
	X-RHN-Upload-Packaging: rpm

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheUploadServer.py", line 107, in _wrapper
    ret = function(req)
  File "/usr/share/rhn/upload_server/handlers/package_push/package_push.py", line 136, in handler
    relative_path=self.rel_package_path, org_id=self.org_id)
  File "/usr/share/rhn/server/rhnPackageUpload.py", line 176, in push_package
    importer.run()
  File "/usr/share/rhn/server/importlib/importLib.py", line 646, in run
    self.preprocess()
  File "/usr/share/rhn/server/importlib/packageImport.py", line 51, in preprocess
    self._processPackage(package)
  File "/usr/share/rhn/server/importlib/packageImport.py", line 225, in _processPackage
    ChannelPackageSubscription._processPackage(self, package)
  File "/usr/share/rhn/server/importlib/packageImport.py", line 168, in _processPackage
    GenericPackageImport._processPackage(self, package)
  File "/usr/share/rhn/server/importlib/importLib.py", line 699, in _processPackage
    for type, chksum in package['checksums'].iteritems():
  File "/usr/lib64/python2.4/UserDict.py", line 17, in __getitem__
    def __getitem__(self, key): return self.data[key]
KeyError: 'checksums'

RHN 24863 2010/06/04 07:49:54 -04:00: ('Unhandled exception',)

Comment 7 Milan Zázrivec 2010-08-19 08:24:19 UTC
Spacewalk 1.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.